Bug 738325 - Globally uncaught exception removing a group member
Globally uncaught exception removing a group member
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.1
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
Mike Foley
:
Depends On:
Blocks: rhq41-ui rhq42
  Show dependency treegraph
 
Reported: 2011-09-14 10:47 EDT by Mike Foley
Modified: 2013-08-05 20:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike Foley 2011-09-14 10:47:19 EDT
Description of problem:  Globally uncaught exception removing a group member


Version-Release number of selected component (if applicable):
RHQ 4.1 09/14/2011 build

How reproducible:
sporadic

Steps to Reproduce:
1.  Create a group:  Inventory--->All Groups--->New ...add all available resources.
2.  Remove a group member:  Click on the group, inventory tab, highlight a group member, click the "Uninventory" button
3.  sporadic error
  
Actual results:
sporadic client-side error

Expected results:
group member is removed.

Additional info:
14, 2011 10:35:16 AM Etc/GMT+4
Detail :	
com.google.gwt.core.client.JavaScriptExceptionTypeError): Cannot read property 'org_rhq_enterprise_gui_coregui_client_inventory_resource_AncestryUtil$MapWrapper_map' of null arguments: org_rhq_enterprise_gui_coregui_client_inventory_resource_AncestryUtil$MapWrapper_map, type: non_object_property_load stack: TypeError: Cannot read property 'org_rhq_enterprise_gui_coregui_client_inventory_resource_AncestryUtil$MapWrapper_map' of null at org_rhq_enterprise_gui_coregui_client_inventory_resource_AncestryUtil_getAncestryHoverHTML__Lcom_smartgwt_client_widgets_grid_ListGridRecord_2ILjava_lang_String_2 (http://10.0.1.189:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AFBB69335F46D488F33C15E579243093.cache.html:136767:632) at Object.org_rhq_enterprise_gui_coregui_client_inventory_resource_AncestryUtil$1_hoverHTML__Ljava_lang_Object_2Lcom_smartgwt_client_widgets_grid_ListGridRecord_2IILjava_lang_String_2 [as hoverHTML__Ljava_lang_Object_2Lcom_smartgwt_client_widgets_grid_ListGridRecord_2IILjava_lang_String_2] (http://10.0.1.189:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AFBB69335F46D488F33C15E579243093.cache.html:136949:10) at Object.(http://10.0.1.189:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AFBB69335F46D488F33C15E579243093.cache.html:23691:28) at com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2 (http://10.0.1.189:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AFBB69335F46D488F33C15E579243093.cache.html:2474:27) at Object.hoverHTML (http://10.0.1.189:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AFBB69335F46D488F33C15E579243093.cache.html:2463:12) at Object.isc_ListGrid_cellHoverHTML [as cellHoverHTML] (http://10.0.1.189:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:1557:408) at Object.anonymous [as cellHoverHTML] (eval at isc_c_ListGrid_makeBodyMethods (http://10.0.1.189:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:1:0)) at Object.isc_GridRenderer__showHover [as $29r] (http://10.0.1.189:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:718:120) at Object.isc_GridRenderer__cellHover [as $29q] (http://10.0.1.189:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:717:258) at Object.isc_c_Hover__doAction [as $zj] (http://10.0.1.189:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:3764:103)
--- STACK TRACE FOLLOWS ---
(TypeError): Cannot read property 'org_rhq_enterprise_gui_coregui_client_inventory_resource_AncestryUtil$MapWrapper_map' of null arguments: org_rhq_enterprise_gui_coregui_client_inventory_resource_AncestryUtil$MapWrapper_map, type: non_object_property_load stack: TypeError: Cannot read property 'org_rhq_enterprise_gui_coregui_client_inventory_resource_AncestryUtil$MapWrapper_map' of null at org_rhq_enterprise_gui_coregui_client_inventory_resource_AncestryUtil_getAncestryHoverHTML__Lcom_smartgwt_client_widgets_grid_ListGridRecord_2ILjava_lang_String_2 (http://10.0.1.189:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AFBB69335F46D488F33C15E579243093.cache.html:136767:632) at Object.org_rhq_enterprise_gui_coregui_client_inventory_resource_AncestryUtil$1_hoverHTML__Ljava_lang_Object_2Lcom_smartgwt_client_widgets_grid_ListGridRecord_2IILjava_lang_String_2 [as hoverHTML__Ljava_lang_Object_2Lcom_smartgwt_client_widgets_grid_ListGridRecord_2IILjava_lang_String_2] (http://10.0.1.189:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AFBB69335F46D488F33C15E579243093.cache.html:136949:10) at Object.(http://10.0.1.189:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AFBB69335F46D488F33C15E579243093.cache.html:23691:28) at com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2 (http://10.0.1.189:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AFBB69335F46D488F33C15E579243093.cache.html:2474:27) at Object.hoverHTML (http://10.0.1.189:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AFBB69335F46D488F33C15E579243093.cache.html:2463:12) at Object.isc_ListGrid_cellHoverHTML [as cellHoverHTML] (http://10.0.1.189:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:1557:408) at Object.anonymous [as cellHoverHTML] (eval at isc_c_ListGrid_makeBodyMethods (http://10.0.1.189:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:1:0)) at Object.isc_GridRenderer__showHover [as $29r] (http://10.0.1.189:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:718:120) at Object.isc_GridRenderer__cellHover [as $29q] (http://10.0.1.189:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Grids.js:717:258) at Object.isc_c_Hover__doAction [as $zj] (http://10.0.1.189:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:3764:103)
    at Unknown.anonymous(Unknown source:0)
    at Unknown.at org_rhq_enterprise_gui_coregui_client_inventory_resource_AncestryUtil_getAncestryHoverHTML__Lcom_smartgwt_client_widgets_grid_ListGridRecord_2ILjava_lang_String_2(Unknown source:0)
    at Unknown.at Object.org_rhq_enterprise_gui_coregui_client_inventory_resource_AncestryUtil$1_hoverHTML__Ljava_lang_Object_2Lcom_smartgwt_client_widgets_grid_ListGridRecord_2IILjava_lang_String_2 [as hoverHTML__Ljava_lang_Object_2Lcom_smartgwt_client_widgets_grid_ListGridRecord_2IILjava_lang_String_2](Unknown source:0)
    at Unknown.at Object.(Unknown source:0)
    at Unknown.at com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown source:0)
    at Unknown.at Object.hoverHTML(Unknown source:0)
    at Unknown.at Object.isc_ListGrid_cellHoverHTML [as cellHoverHTML](Unknown source:0)
    at Unknown.at Object.anonymous [as cellHoverHTML](Unknown source:0)
    at Unknown.at Object.isc_GridRenderer__showHover [as $29r](Unknown source:0)
    at Unknown.at Object.isc_GridRenderer__cellHover [as $29q](Unknown source:0)
    at Unknown.at Object.isc_c_Hover__doAction [as $zj](Unknown source:0)
Comment 1 Ian Springer 2011-10-19 23:05:14 EDT
[master 318d385] fixes this.
Comment 2 Mike Foley 2011-10-20 14:20:35 EDT
verified #587
Comment 3 Mike Foley 2012-02-07 14:30:28 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE
Comment 4 Mike Foley 2012-02-07 14:30:41 EST
marking VERIFIED BZs to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.